> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.mangopay.com/api-reference/intents/execute-intent-split/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.mangopay.com/_mcp/server. # Execute an Intent Split POST https://api.sandbox.mangopay.com/v3.0/{ClientId}/payins/intents/{IntentId}/splits/{SplitId}/execute Release the funds of a Split to the wallet of the seller of the Intent line item. Once the Intent funds have been settled (in a Settlement) and the funds have been received on the platform's technical wallet, the Split status becomes `AVAILABLE`, meaning you can use this endpoint to execute the transfer of funds to the Seller's wallet. Reference: https://docs.mangopay.com/api-reference/intents/execute-intent-split ## Authentication - `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer `, where token is your auth token. If your platform is using a [proxy](/guides/sca/proxy-management) to take SCA-triggering action on behalf of users, you also need to integrate [mTLS authentication](/guides/sca/platform) and use the `api-mtls` base URL. ## Servers - `https://api.sandbox.mangopay.com` (Sandbox, default) - `https://api.mangopay.com` (Production) - `https://api-mtls.sandbox.mangopay.com` (mTLS Sandbox) - `https://api-mtls.mangopay.com` (mTLS Production) ## Request ### Path parameters - `ClientId` (string, required) — Platform's API account identifier, associated with the API key. - `IntentId` (string, required) — The unique identifier of the Intent. - `SplitId` (string, required) — The unique identifier of the Split. ## Response ### 200 Success - `Id` (string, optional) — The unique identifier of the Split. - `LineItemId` (string, optional) — The unique identifier of the line item. - `SellerId` (string, optional) — The unique identifier of the seller of the line item. - `WalletId` (string, optional) — The unique identifier of the wallet to credit the seller's funds. - `SplitAmount` (integer, optional) — The amount to transfer to the seller's `WalledId`. The sum of the `SplitAmount` values of all `Splits` must be lower than or equal to the `AvailableAmountToSplit` of the Intent. - `FeesAmount` (integer, optional) — The amount of fees. The sum of the `FeesAmount` values of all `Splits` must be lower than or equal to the `PlatformFeesAmount` of the Intent. - `TransferDate` (integer, optional) — The future date when the funds are to be automatically transferred to the seller's wallet. - `Description` (string, optional) — The description of the Split. - `Status` (string, optional) — The status of the Split: - `CREATED` – The Split was successfully declared via the API but it is not yet confirmed whether the funds for the parent Intent are available. - `PENDING_FUNDS_RECEPTION` – The Split is linked to an Intent that has been reconciled with a settlement file. The system is waiting for the funds to be confirmed in the technical wallet. - `AVAILABLE` – The funds for the parent Intent have been received and confirmed. The Split is ready to be executed. - `PENDING` – The Split execution has been initiated and is being processed. - `COMPLETED` – The transfer was successful and the funds have been moved to the seller's wallet. - `REJECTED` – The Split execution failed immediately due to a synchronous error (e.g. invalid wallet ID). The platform can retry execution or reverse the Split. - `FAILED` – The Split execution was initiated but the transfer failed due to an asynchronous error (e.g. insufficient funds in the source wallet). A new Split must be created to retry. - `REVERSED` – The Split was canceled by the platform while in `AVAILABLE` or `REJECTED` status. - `REFUND_SPLIT_PENDING` – A refund has been declared on the parent Intent and the refund of this Split is pending. - `REFUND_SPLIT_REJECTED` – The refund of this Split was rejected. - `REFUND_SPLIT_COMPLETED` – The refund of this Split was completed successfully. - `Tag` (string, optional) — Max. length: 255 characters Custom data that you can add to this object, such as unique identifiers in your system. To store multiple values, you can serialize them into a single string, for example a JSON object: `"{\"id_1\":AB123,\"id_2\":DE456}"`. ## Errors ### 400 Bad Request Error Bad Request - `Message` (string, optional) — Description of the error. - `Type` (string, optional) — The category of the error. - `Id` (string, optional) — Unique identifier of the error instance, useful when contacting Mangopay for support. - `Date` (double, optional) — Unix timestamp (UTC) of the date and time the error was triggered. - `errors` (map from string to string, optional, nullable) — Object containing one or more field-level errors. ## Examples **Response** ```json { "Id": "int_split_0197f979-46a1-7810-adfc-a4bcdd7a9315", "LineItemId": "int_li_0197f975-63f9-7cb9-b906-43671509eb34", "SellerId": "user_m_01JZWQAGPP1ZQR39QTH2TCP587", "WalletId": "wlt_m_01JZWQAJN34AGPDRTP9KHBYNYX", "SplitAmount": 8000, "FeesAmount": 0, "Description": "Example description of the Split", "Status": "PENDING" } ```